All services are down after running letsencrypt!


#1

After running on Debian Squeeze
./letsencrypt-auto -a manual auth

There was some strange installations and removal of modules that don’t have any relation to letsencrypt. Like python, perl modules and mysql.

Now I can’t even find my mysql database!!! What’s going on?
-bash: mysql: command not found ls -l /usr/bin/mysql* ls: cannot access /usr/bin/mysql*: No such file or directory
It changed versions of python and perl and now all my services are down.
Please HELP!
UPD
It deleted mysql and some other packages:
Recommended packages: krb5-locales The following packages will be REMOVED: apt-show-versions libapt-pkg-perl libdbd-mysql-perl libperl5.10 mysql-client mysql-client-5.1 mysql-server mysql-server-5.1 python-apt python-software-properties unattended-upgrades webmin


#2

I’ve installed mysql_server and mysql_client, restored my database.
Installed modules for new versions of perl and python installed after running ‘letsencrypt’.
Now it works but I’m not sure that everything is working properly.

But I still trying understand what happened? It was very nervous.
Letsencrypt removed packages even not asking me.


#3

As far as I know, the letsencrypt-auto script doesn’t remove stuff, it only installs or updates things.

I don’t know which distribution you’re running, but isn’t there an “official” package for Let’s Encrypt? The docs mention a few distributions with LE packages… Using the letsencrypt-auto script is quite beta I’m afraid and personally I think it’s horrific… :scream:


#4

There was an official package of letsencrypt ( https://github.com/letsencrypt/letsencrypt )
About a month ago I already used letsencrypt on this server and everything was ok.

Server is a little bit old ( Debian Squeeze) and some packages installed on it are deprecated.
I guess that this can cause some problems. But how does it relate to mysql or perl?

There is beginning of backtrace (the full one is too big to submit):
` ./letsencrypt-auto -a manual auth
Bootstrapping dependencies for Debian-based OSes…
Hit http://mirror.hetzner.de squeeze Release.gpg
Hit http://mirror.hetzner.de squeeze/updates Release.gpg
Hit http://mirror.hetzner.de squeeze-backports Release.gpg
Hit http://mirror.hetzner.de squeeze Release
Hit http://mirror.hetzner.de squeeze/updates Release
Hit http://mirror.hetzner.de squeeze-backports Release
Hit http://security.debian.org squeeze/updates Release.gpg
Hit http://security.debian.org squeeze/updates Release
Hit http://mirror.hetzner.de squeeze/main amd64 Packages
Hit http://mirror.hetzner.de squeeze/contrib amd64 Packages
Hit http://mirror.hetzner.de squeeze/non-free amd64 Packages
Hit http://mirror.hetzner.de squeeze/updates/main amd64 Packages
Hit http://mirror.hetzner.de squeeze/updates/contrib amd64 Packages
Hit http://mirror.hetzner.de squeeze/updates/non-free amd64 Packages
Hit http://mirror.hetzner.de squeeze-backports/main amd64 Packages
Hit http://mirror.hetzner.de squeeze-backports/contrib amd64 Packages
Hit http://mirror.hetzner.de squeeze-backports/non-free amd64 Packages
Hit http://cdn.debian.net squeeze Release.gpg
Get:1 http://http.debian.net squeeze-lts Release.gpg [819 B]
Hit http://ftp.de.debian.org wheezy Release.gpg
Hit http://security.debian.org squeeze/updates/main Sources
Hit http://security.debian.org squeeze/updates/contrib Sources
Hit http://security.debian.org squeeze/updates/non-free Sources
Hit http://security.debian.org squeeze/updates/main amd64 Packages
Hit http://security.debian.org squeeze/updates/contrib amd64 Packages
Hit http://security.debian.org squeeze/updates/non-free amd64 Packages
Hit http://ftp.de.debian.org wheezy Release
Hit http://cdn.debian.net squeeze Release
Get:2 http://http.debian.net squeeze-lts Release [32.6 kB]
Hit http://ftp.de.debian.org wheezy/main amd64 Packages
Hit http://cdn.debian.net squeeze/main Sources
Get:3 http://http.debian.net squeeze-lts/main Sources [108 kB]
Hit http://cdn.debian.net squeeze/non-free Sources
Hit http://cdn.debian.net squeeze/contrib Sources
Hit http://cdn.debian.net squeeze/main amd64 Packages
Hit http://cdn.debian.net squeeze/non-free amd64 Packages
Hit http://cdn.debian.net squeeze/contrib amd64 Packages
Get:4 http://http.debian.net squeeze-lts/contrib Sources [927 B]
Get:5 http://http.debian.net squeeze-lts/non-free Sources [1,522 B]
Get:6 http://http.debian.net squeeze-lts/main amd64 Packages [297 kB]
Get:7 http://backports.debian.org squeeze-backports Release.gpg [819 B]
Hit http://nginx.org squeeze Release.gpg
Get:8 http://http.debian.net squeeze-lts/contrib amd64 Packages [1,954 B]
Get:9 http://http.debian.net squeeze-lts/non-free amd64 Packages [1,336 B]
Get:10 http://backports.debian.org squeeze-backports Release [129 kB]
Hit http://nginx.org squeeze Release
Ign http://nginx.org squeeze/nginx Sources
Ign http://nginx.org squeeze/nginx amd64 Packages
Hit http://nginx.org squeeze/nginx Sources
Get:11 http://backports.debian.org squeeze-backports/main amd64 Packages [357 kB]
Hit http://nginx.org squeeze/nginx amd64 Packages
Get:12 http://backports.debian.org squeeze-backports/contrib amd64 Packages [3,376 B]
Get:13 http://backports.debian.org squeeze-backports/non-free amd64 Packages [14.9 kB]
Fetched 949 kB in 1s (588 kB/s)
Reading package lists… Done
W: There is no public key available for the following key IDs:
7638D0442B90D010
No LSB modules are available.
No libaugeas0 version is available that’s new enough to run the
Let’s Encrypt apache plugin…
Reading package lists… Done
Building dependency tree
Reading state information… Done
libssl-dev is already the newest version.
The following packages were automatically installed and are no longer required:
liblcms1 iso-codes python-pycurl libmagickcore3 libpython2.6 python-apt-common python2.6 python2.6-minimal libgmp3c2 python2.6-dev python-gnupginterface
libkadm5clnt-mit7 libkadm5srv-mit7 libkdb5-4
Use ‘apt-get autoremove’ to remove them.
The following extra packages will be installed:
binutils cpp cpp-4.4 cpp-4.7 fontconfig-config g+±4.4 gcc-4.4 gcc-4.4-base gcc-4.7 gcc-4.7-base geoip-bin imagemagick-common krb5-multidev
libalgorithm-diff-xs-perl libauthen-pam-perl libc-bin libc-dev-bin libc6 libc6-dev libclass-isa-perl libcrypt-blowfish-perl libcrypt-rijndael-perl
libcrypt-ssleay-perl libcurl3-gnutls libdatetime-perl libdb5.1 libdbi-perl libexpat1 libexpat1-dev libfcgi-perl libffi5 libfilter-perl libfontconfig1 libgcc1
libgeo-ip-perl libgeoip-dev libgeoip1 libgmp10 libgnutls26 libgomp1 libgssapi-krb5-2 libgssrpc4 libhtml-parser-perl libio-pty-perl libitm1 libjbig0 libjpeg8
libjson-xs-perl libk5crypto3 libkadm5clnt-mit8 libkadm5srv-mit8 libkdb5-6 libkrb5-3 libkrb5-dev libkrb5support0 liblcms2-2 liblist-moreutils-perl
liblocale-gettext-perl libltdl7 libmagickcore5 libmath-round-perl libmodule-implementation-perl libmodule-runtime-perl libmpc2 libmpfr4 libnet-ssleay-perl
libp11-kit0 libparams-classify-perl libparams-validate-perl libperl5.14 libpython2.7 libquadmath0 librtmp0 libstdc++6 libstdc++6-4.4-dev libswitch-perl
libtext-charwidth-perl libtext-iconv-perl libtiff4 libtry-tiny-perl libuuid-perl libxml-parser-perl locales make openssl perl perl-base perl-modules perlmagick
python-minimal python-pkg-resources python-pycurl python-setuptools python-support python2.7 python2.7-dev python2.7-minimal update-inetd
Suggested packages:
binutils-doc cpp-doc gcc-4.4-locales gcc-4.7-locales g+±4.4-multilib gcc-4.4-doc libstdc++6-4.4-dbg gcc-multilib autoconf automake1.9 libtool flex bison gdb
gcc-doc gcc-4.4-multilib libmudflap0-4.4-dev libgcc1-dbg libgomp1-dbg libmudflap0-dbg libcloog-ppl0 libppl-c2 libppl7 gcc-4.7-multilib libmudflap0-4.7-dev
gcc-4.7-doc libitm1-dbg libquadmath0-dbg binutils-gold krb5-doc augeas-tools glibc-doc krb5-user libdata-dump-perl liblcms2-utils libmagickcore5-extra
libscalar-number-perl libstdc++6-4.4-doc make-doc perl-doc libterm-readline-gnu-perl libterm-readline-perl-perl libpod-plainer-perl imagemagick-doc python-doc
python-tk python-distribute-doc libcurl4-gnutls-dev python-pycurl-dbg python2.7-doc binfmt-support
Recommended packages:
krb5-locales
The following packages will be REMOVED:
apt-show-versions libapt-pkg-perl libdbd-mysql-perl libperl5.10 mysql-client mysql-client-5.1 mysql-server mysql-server-5.1 python-apt
python-software-properties unattended-upgrades webmin
The following NEW packages will be installed:
cpp-4.7 gcc-4.7 gcc-4.7-base imagemagick-common libclass-isa-perl libdb5.1 libexpat1-dev libgmp10 libitm1 libjbig0 libjpeg8 libkadm5clnt-mit8 libkadm5srv-mit8
libkdb5-6 liblcms2-2 libmagickcore5 libmath-round-perl libmodule-implementation-perl libmodule-runtime-perl libmpc2 libp11-kit0 libparams-classify-perl
libperl5.14 libpython2.7 libquadmath0 librtmp0 libswitch-perl libtry-tiny-perl python-pycurl python2.7 python2.7-dev python2.7-minimal
The following packages will be upgraded:
binutils ca-certificates cpp cpp-4.4 dialog fontconfig-config g+±4.4 gcc gcc-4.4 gcc-4.4-base geoip-bin krb5-multidev libalgorithm-diff-xs-perl libaugeas0
libauthen-pam-perl libc-bin libc-dev-bin libc6 libc6-dev libcrypt-blowfish-perl libcrypt-rijndael-perl libcrypt-ssleay-perl libcurl3-gnutls libdatetime-perl
libdbi-perl libexpat1 libfcgi-perl libffi-dev libffi5 libfilter-perl libfontconfig1 libgcc1 libgeo-ip-perl libgeoip-dev libgeoip1 libgnutls26 libgomp1
libgssapi-krb5-2 libgssrpc4 libhtml-parser-perl libio-pty-perl libjson-xs-perl libk5crypto3 libkrb5-3 libkrb5-dev libkrb5support0 liblist-moreutils-perl
liblocale-gettext-perl libltdl7 libmpfr4 libnet-ssleay-perl libparams-validate-perl libstdc++6 libstdc++6-4.4-dev libtext-charwidth-perl libtext-iconv-perl
libtiff4 libuuid-perl libxml-parser-perl locales make openssl perl perl-base perl-modules perlmagick python python-dev python-minimal python-pkg-resources
python-setuptools python-support python-virtualenv update-inetd
74 upgraded, 32 newly installed, 12 to remove and 320 not upgraded.
Need to get 101 MB of archives.
After this operation, 87.1 MB disk space will be freed.
Get:1 http://mirror.hetzner.de/debian/packages/ squeeze/main libmath-round-perl all 0.06-3 [9,474 B]
Get:2 http://ftp.de.debian.org/debian/ wheezy/main libswitch-perl all 2.16-2 [21.0 kB]
Get:3 http://ftp.de.debian.org/debian/ wheezy/main libclass-isa-perl all 0.36-3 [12.3 kB]
Get:4 http://ftp.de.debian.org/debian/ wheezy/main perl-modules all 5.14.2-21+deb7u2 [3,442 kB]
Get:5 http://ftp.de.debian.org/debian/ wheezy/main update-inetd all 4.43 [21.8 kB]
Get:6 http://ftp.de.debian.org/debian/ wheezy/main locales all 2.13-38+deb7u8 [5,708 kB]
Get:7 http://ftp.de.debian.org/debian/ wheezy/main libc-dev-bin amd64 2.13-38+deb7u8 [226 kB]
Get:8 http://ftp.de.debian.org/debian/ wheezy/main gcc-4.7-base amd64 4.7.2-5 [144 kB]
Get:9 http://ftp.de.debian.org/debian/ wheezy/main gcc-4.4-base amd64 4.4.7-2 [127 kB]
Get:10 http://ftp.de.debian.org/debian/ wheezy/main libgmp10 amd64 2:5.0.5+dfsg-2 [250 kB]
Get:11 http://ftp.de.debian.org/debian/ wheezy/main libmpfr4 amd64 3.1.0-5 [538 kB]
Get:12 http://ftp.de.debian.org/debian/ wheezy/main cpp-4.4 amd64 4.4.7-2 [3,870 kB]
Get:13 http://ftp.de.debian.org/debian/ wheezy/main libgcc1 amd64 1:4.7.2-5 [43.1 kB]
Get:14 http://ftp.de.debian.org/debian/ wheezy/main libgomp1 amd64 4.7.2-5 [27.5 kB]
Get:15 http://ftp.de.debian.org/debian/ wheezy/main gcc-4.4 amd64 4.4.7-2 [2,698 kB]
Get:16 http://ftp.de.debian.org/debian/ wheezy/main libstdc++6 amd64 4.7.2-5 [332 kB]
Get:17 http://ftp.de.debian.org/debian/ wheezy/main g+±4.4 amd64 4.4.7-2 [5,496 kB]
Get:18 http://ftp.de.debian.org/debian/ wheezy/main libstdc++6-4.4-dev amd64 4.4.7-2 [1,562 kB]
Get:19 http://ftp.de.debian.org/debian/ wheezy/main make amd64 3.81-8.2 [396 kB]
Get:20 http://ftp.de.debian.org/debian/ wheezy/main libc6-dev amd64 2.13-38+deb7u8 [2,665 kB]
Get:21 http://ftp.de.debian.org/debian/ wheezy/main libc-bin amd64 2.13-38+deb7u8 [1,274 kB]
Get:22 http://ftp.de.debian.org/debian/ wheezy/main libc6 amd64 2.13-38+deb7u8 [4,335 kB]
Get:23 http://ftp.de.debian.org/debian/ wheezy/main binutils amd64 2.22-8+deb7u2 [4,793 kB]
Get:24 http://ftp.de.debian.org/debian/ wheezy/main libdbi-perl amd64 1.622-1+deb7u1 [892 kB]
Get:25 http://ftp.de.debian.org/debian/ wheezy/main libuuid-perl amd64 0.02-5 [9,742 B]
Get:26 http://ftp.de.debian.org/debian/ wheezy/main libparams-classify-perl amd64 0.013-4 [26.0 kB]
Get:27 http://ftp.de.debian.org/debian/ wheezy/main libmodule-runtime-perl all 0.013-1 [17.8 kB]
Get:28 http://ftp.de.debian.org/debian/ wheezy/main libtry-tiny-perl all 0.11-1 [18.0 kB]
Get:29 http://ftp.de.debian.org/debian/ wheezy/main libmodule-implementation-perl all 0.06-1 [12.8 kB]
Get:30 http://ftp.de.debian.org/debian/ wheezy/main libparams-validate-perl amd64 1.06-1 [67.4 kB]
Get:31 http://ftp.de.debian.org/debian/ wheezy/main libnet-ssleay-perl amd64 1.48-1+b1 [335 kB]
Get:32 http://ftp.de.debian.org/debian/ wheezy/main liblist-moreutils-perl amd64 0.33-1+b1 [52.5 kB]
Get:33 http://ftp.de.debian.org/debian/ wheezy/main libjson-xs-perl amd64 2.320-1+b1 [89.1 kB]
Get:34 http://ftp.de.debian.org/debian/ wheezy/main libio-pty-perl amd64 1:1.08-1+b2 [40.0 kB]
Get:35 http://ftp.de.debian.org/debian/ wheezy/main libhtml-parser-perl amd64 3.69-2 [114 kB]
Get:36 http://ftp.de.debian.org/debian/ wheezy/main libfilter-perl amd64 1.45-1 [74.0 kB]
Get:37 http://ftp.de.debian.org/debian/ wheezy/main libfcgi-perl amd64 0.74-1+b1 [42.8 kB]
Get:38 http://ftp.de.debian.org/debian/ wheezy/main libdatetime-perl amd64 2:0.7500-1 [107 kB]
Get:39 http://ftp.de.debian.org/debian/ wheezy/main libcrypt-rijndael-perl amd64 1.08-1+b2 [22.3 kB]
Get:40 http://ftp.de.debian.org/debian/ wheezy/main libcrypt-blowfish-perl amd64 2.12-1+b2 [20.2 kB]
Get:41 http://ftp.de.debian.org/debian/ wheezy/main libalgorithm-diff-xs-perl amd64 0.04-2+b1 [12.9 kB]
Get:42 http://ftp.de.debian.org/debian/ wheezy/main libexpat1 amd64 2.1.0-1+deb7u2 [139 kB]
Get:43 http://ftp.de.debian.org/debian/ wheezy/main libxml-parser-perl amd64 2.41-1+b1 [278 kB]
Get:44 http://ftp.de.debian.org/debian/ wheezy/main libdb5.1 amd64 5.1.29-5 [723 kB]
Get:45 http://ftp.de.debian.org/debian/ wheezy/main perl amd64 5.14.2-21+deb7u2 [4,407 kB]
Get:46 http://ftp.de.debian.org/debian/ wheezy/main fontconfig-config all 2.9.0-7.1 [233 kB]
Get:47 http://ftp.de.debian.org/debian/ wheezy/main libfontconfig1 amd64 2.9.0-7.1 [300 kB]
Get:48 http://ftp.de.debian.org/debian/ wheezy/main libjbig0 amd64 2.0-2+deb7u1 [32.6 kB]
Get:49 http://ftp.de.debian.org/debian/ wheezy/main libjpeg8 amd64 8d-1+deb7u1 [138 kB]
Get:50 http://ftp.de.debian.org/debian/ wheezy/main liblcms2-2 amd64 2.2+git20110628-2.2+deb7u1 [144 kB]
Get:51 http://ftp.de.debian.org/debian/ wheezy/main libltdl7 amd64 2.4.2-1.1 [352 kB]
Get:52 http://ftp.de.debian.org/debian/ wheezy/main libtiff4 amd64 3.9.6-11 [202 kB]
Get:53 http://ftp.de.debian.org/debian/ wheezy/main imagemagick-common all 8:6.7.7.10-5+deb7u3 [128 kB]
Get:54 http://ftp.de.debian.org/debian/ wheezy/main libmagickcore5 amd64 8:6.7.7.10-5+deb7u3 [2,083 kB]
Get:55 http://ftp.de.debian.org/debian/ wheezy/main libperl5.14 amd64 5.14.2-21+deb7u2 [1,188 B]
Get:56 http://ftp.de.debian.org/debian/ wheezy/main perlmagick amd64 8:6.7.7.10-5+deb7u3 [256 kB]
Get:57 http://ftp.de.debian.org/debian/ wheezy/main perl-base amd64 5.14.2-21+deb7u2 [1,518 kB]
Get:58 http://ftp.de.debian.org/debian/ wheezy/main libtext-charwidth-perl amd64 0.04-7+b1 [11.2 kB]
Get:59 http://ftp.de.debian.org/debian/ wheezy/main liblocale-gettext-perl amd64 1.05-7+b1 [20.4 kB]
Get:60 http://ftp.de.debian.org/debian/ wheezy/main geoip-bin amd64 1.4.8+dfsg-3 [64.8 kB]
Get:61 http://ftp.de.debian.org/debian/ wheezy/main libgeoip-dev amd64 1.4.8+dfsg-3 [210 kB]
Get:62 http://ftp.de.debian.org/debian/ wheezy/main libgeoip1 amd64 1.4.8+dfsg-3 [124 kB]
Get:63 http://ftp.de.debian.org/debian/ wheezy/main libgeo-ip-perl amd64 1.40-2 [91.3 kB]
Get:64 http://ftp.de.debian.org/debian/ wheezy/main libauthen-pam-perl amd64 0.16-2+b2 [31.3 kB]
Get:65 http://ftp.de.debian.org/debian/ wheezy/main libcrypt-ssleay-perl amd64 0.58-1 [51.8 kB]
Get:66 http://ftp.de.debian.org/debian/ wheezy/main libtext-iconv-perl amd64 1.7-5 [17.6 kB]
Get:67 http://ftp.de.debian.org/debian/ wheezy/main libp11-kit0 amd64 0.12-3 [52.8 kB]
Get:68 http://ftp.de.debian.org/debian/ wheezy/main libgnutls26 amd64 2.12.20-8+deb7u3 [620 kB]
Get:69 http://ftp.de.debian.org/debian/ wheezy/main libkrb5-dev amd64 1.10.1+dfsg-5+deb7u3 [39.9 kB]
Get:70 http://ftp.de.debian.org/debian/ wheezy/main krb5-multidev amd64 1.10.1+dfsg-5+deb7u3 [154 kB]
Get:71 http://ftp.de.debian.org/debian/ wheezy/main libgssapi-krb5-2 amd64 1.10.1+dfsg-5+deb7u3 [148 kB]
Get:72 http://ftp.de.debian.org/debian/ wheezy/main libk5crypto3 amd64 1.10.1+dfsg-5+deb7u3 [113 kB]
Get:73 http://ftp.de.debian.org/debian/ wheezy/main libkrb5-3 amd64 1.10.1+dfsg-5+deb7u3 [393 kB]
Get:74 http://ftp.de.debian.org/debian/ wheezy/main libkrb5support0 amd64 1.10.1+dfsg-5+deb7u3 [49.9 kB]
Get:75 http://ftp.de.debian.org/debian/ wheezy/main libgssrpc4 amd64 1.10.1+dfsg-5+deb7u3 [87.6 kB]
Get:76 http://ftp.de.debian.org/debian/ wheezy/main libkdb5-6 amd64 1.10.1+dfsg-5+deb7u3 [67.2 kB]
Get:77 http://ftp.de.debian.org/debian/ wheezy/main libkadm5srv-mit8 amd64 1.10.1+dfsg-5+deb7u3 [85.0 kB]
Get:78 http://ftp.de.debian.org/debian/ wheezy/main libkadm5clnt-mit8 amd64 1.10.1+dfsg-5+deb7u3 [68.1 kB]
Get:79 http://ftp.de.debian.org/debian/ wheezy/main librtmp0 amd64 2.4+20111222.git4e06e21-1 [62.3 kB]
Get:80 http://ftp.de.debian.org/debian/ wheezy/main libcurl3-gnutls amd64 7.26.0-1+wheezy13 [322 kB]
Get:81 http://ftp.de.debian.org/debian/ wheezy/main libffi-dev amd64 3.0.10-3 [116 kB]
Get:82 http://ftp.de.debian.org/debian/ wheezy/main libffi5 amd64 3.0.10-3 [24.8 kB]
Get:83 http://ftp.de.debian.org/debian/ wheezy/main libitm1 amd64 4.7.2-5 [36.6 kB]
Get:84 http://ftp.de.debian.org/debian/ wheezy/main libquadmath0 amd64 4.7.2-5 [125 kB]
Get:85 http://ftp.de.debian.org/debian/ wheezy/main libmpc2 amd64 0.9-4 [40.1 kB]
Get:86 http://ftp.de.debian.org/debian/ wheezy/main python-support all 1.0.15 [33.6 kB]
Get:87 http://ftp.de.debian.org/debian/ wheezy/main python2.7-minimal amd64 2.7.3-6+deb7u2 [1,785 kB]
Get:88 http://ftp.de.debian.org/debian/ wheezy/main python-dev all 2.7.3-4+deb7u1 [920 B]
Get:89 http://ftp.de.debian.org/debian/ wheezy/main python-setuptools all 0.6.24-1 [449 kB]
Get:90 http://ftp.de.debian.org/debian/ wheezy/main python-pkg-resources all 0.6.24-1 [63.6 kB]
Get:91 http://ftp.de.debian.org/debian/ wheezy/main python all 2.7.3-4+deb7u1 [181 kB]
Get:92 http://ftp.de.debian.org/debian/ wheezy/main python-minimal all 2.7.3-4+deb7u1 [42.8 kB]
Get:93 http://ftp.de.debian.org/debian/ wheezy/main python-virtualenv all 1.7.1.2-2 [2,121 kB]
Get:94 http://ftp.de.debian.org/debian/ wheezy/main python2.7 amd64 2.7.3-6+deb7u2 [2,728 kB]
Get:95 http://ftp.de.debian.org/debian/ wheezy/main libpython2.7 amd64 2.7.3-6+deb7u2 [1,207 kB]
Get:96 http://ftp.de.debian.org/debian/ wheezy/main libexpat1-dev amd64 2.1.0-1+deb7u2 [222 kB]
Get:97 http://ftp.de.debian.org/debian/ wheezy/main python2.7-dev amd64 2.7.3-6+deb7u2 [22.8 MB]
Get:98 http://ftp.de.debian.org/debian/ wheezy/main openssl amd64 1.0.1e-2+deb7u17 [701 kB]
Get:99 http://ftp.de.debian.org/debian/ wheezy/main ca-certificates all 20130119+deb7u1 [210 kB]
Get:100 http://ftp.de.debian.org/debian/ wheezy/main cpp-4.7 amd64 4.7.2-5 [5,416 kB]
Get:101 http://ftp.de.debian.org/debian/ wheezy/main cpp amd64 4:4.7.2-1 [16.6 kB]
Get:102 http://ftp.de.debian.org/debian/ wheezy/main dialog amd64 1.1-20120215-2 [324 kB]
Get:103 http://ftp.de.debian.org/debian/ wheezy/main gcc-4.7 amd64 4.7.2-5 [8,296 kB]
Get:104 http://ftp.de.debian.org/debian/ wheezy/main gcc amd64 4:4.7.2-1 [5,064 B]
Get:105 http://ftp.de.debian.org/debian/ wheezy/main libaugeas0 amd64 0.10.0-1 [190 kB]
Get:106 http://ftp.de.debian.org/debian/ wheezy/main python-pycurl amd64 7.19.0-5 [87.6 kB]
Fetched 101 MB in 8s (11.8 MB/s)
Extracting templates from packages: 100%
Preconfiguring packages …
(Reading database … 59484 files and directories currently installed.)
Removing webmin …
Running uninstall scripts …
Deleted init script /etc/init.d/webmin
Subroutine list_servers redefined at /usr/share/webmin/servers/servers-lib.pl line 92.
Subroutine list_servers_sorted redefined at /usr/share/webmin/servers/servers-lib.pl line 111.
Subroutine get_server redefined at /usr/share/webmin/servers/servers-lib.pl line 143.
Subroutine save_server redefined at /usr/share/webmin/servers/servers-lib.pl line 158.
Subroutine delete_server redefined at /usr/share/webmin/servers/servers-lib.pl line 175.
Subroutine can_use_server redefined at /usr/share/webmin/servers/servers-lib.pl line 188.
Subroutine list_all_groups redefined at /usr/share/webmin/servers/servers-lib.pl line 208.
Subroutine logged_in redefined at /usr/share/webmin/servers/servers-lib.pl line 278.
Subroutine get_server_types redefined at /usr/share/webmin/servers/servers-lib.pl line 303.
Subroutine this_server redefined at /usr/share/webmin/servers/servers-lib.pl line 313.
Subroutine get_my_address redefined at /usr/share/webmin/servers/servers-lib.pl line 332.
Subroutine address_to_broadcast redefined at /usr/share/webmin/servers/servers-lib.pl line 361.
Subroutine test_server redefined at /usr/share/webmin/servers/servers-lib.pl line 375.
Subroutine find_cron_job redefined at /usr/share/webmin/servers/servers-lib.pl line 394.
Subroutine find_servers redefined at /usr/share/webmin/servers/servers-lib.pl line 407.
Removing apt-show-versions …
Removing libapt-pkg-perl …
Removing mysql-server …
Removing mysql-server-5.1 …
Stopping MySQL database server: mysqld.
Removing mysql-client …
Removing mysql-client-5.1 …
Removing libdbd-mysql-perl …
Processing triggers for man-db …
Selecting previously unselected package libswitch-perl.
(Reading database … 35679 files and directories currently installed.)
Unpacking libswitch-perl (from …/libswitch-perl_2.16-2_all.deb) …
Selecting previously unselected package libclass-isa-perl.
Unpacking libclass-isa-perl (from …/libclass-isa-perl_0.36-3_all.deb) …
Preparing to replace perl-modules 5.10.1-17squeeze6 (using …/perl-modules_5.14.2-21+deb7u2_all.deb) …
Unpacking replacement perl-modules …
Preparing to replace update-inetd 4.38+nmu1+squeeze1 (using …/update-inetd_4.43_all.deb) …
Unpacking replacement update-inetd …
Preparing to replace locales 2.11.3-4 (using …/locales_2.13-38+deb7u8_all.deb) …
Unpacking replacement locales …
Preparing to replace libc-dev-bin 2.11.3-4 (using …/libc-dev-bin_2.13-38+deb7u8_amd64.deb) …
Unpacking replacement libc-dev-bin …
Selecting previously unselected package gcc-4.7-base:amd64.
Unpacking gcc-4.7-base:amd64 (from …/gcc-4.7-base_4.7.2-5_amd64.deb) …
Processing triggers for man-db …
Setting up gcc-4.7-base:amd64 (4.7.2-5) …
(Reading database … 35832 files and directories currently installed.)
Preparing to replace gcc-4.4-base 4.4.5-8 (using …/gcc-4.4-base_4.4.7-2_amd64.deb) …
Unpacking replacement gcc-4.4-base:amd64 …
Selecting previously unselected package libgmp10:amd64.
Unpacking libgmp10:amd64 (from …/libgmp10_2%3a5.0.5+dfsg-2_amd64.deb) …
Preparing to replace libmpfr4 3.0.0-2 (using …/libmpfr4_3.1.0-5_amd64.deb) …
Unpacking replacement libmpfr4:amd64 …
Preparing to replace cpp-4.4 4.4.5-8 (using …/cpp-4.4_4.4.7-2_amd64.deb) …
Unpacking replacement cpp-4.4 …
dpkg: considering deconfiguration of gcc-4.4, which would be broken by installation of libgcc1:amd64 …
dpkg: yes, will deconfigure gcc-4.4 (broken by libgcc1:amd64)
Preparing to replace libgcc1 1:4.4.5-8 (using …/libgcc1_1%3a4.7.2-5_amd64.deb) …
De-configuring gcc-4.4 …
Unpacking replacement libgcc1:amd64 …
Setting up libgcc1:amd64 (1:4.7.2-5) …
(Reading database … 35842 files and directories currently installed.)
Preparing to replace libgomp1 4.4.5-8 (using …/libgomp1_4.7.2-5_amd64.deb) …
Unpacking replacement libgomp1:amd64 …
Preparing to replace gcc-4.4 4.4.5-8 (using …/gcc-4.4_4.4.7-2_amd64.deb) …
Unpacking replacement gcc-4.4 …
Preparing to replace libstdc++6 4.4.5-8 (using …/libstdc++6_4.7.2-5_amd64.deb) …
Unpacking replacement libstdc++6:amd64 …
Setting up libstdc++6:amd64 (4.7.2-5) …
(Reading database … 35842 files and directories currently installed.)
Preparing to replace g+±4.4 4.4.5-8 (using …/g+±4.4_4.4.7-2_amd64.deb) …
Unpacking replacement g+±4.4 …
Preparing to replace libstdc++6-4.4-dev 4.4.5-8 (using …/libstdc++6-4.4-dev_4.4.7-2_amd64.deb) …
Unpacking replacement libstdc++6-4.4-dev …
Preparing to replace make 3.81-8 (using …/make_3.81-8.2_amd64.deb) …
Unpacking replacement make …
Preparing to replace libc6-dev 2.11.3-4 (using …/libc6-dev_2.13-38+deb7u8_amd64.deb) …
Unpacking replacement libc6-dev:amd64 …
Preparing to replace libc-bin 2.11.3-4 (using …/libc-bin_2.13-38+deb7u8_amd64.deb) …
Unpacking replacement libc-bin …
Processing triggers for man-db …
Setting up libc-bin (2.13-38+deb7u8) …
Installing new version of config file /etc/bindresvport.blacklist …
(Reading database … 35857 files and directories currently installed.)
Preparing to replace libc6 2.11.3-4 (using …/libc6_2.13-38+deb7u8_amd64.deb) …
Checking for services that may need to be restarted…
Checking init scripts…
Unpacking replacement libc6:amd64 …
Setting up libc6:amd64 (2.13-38+deb7u8) …
Checking for services that may need to be restarted…
Checking init scripts…

Restarting services possibly affected by the upgrade:
exim4: restarting…done.
cron: restarting…done.
apache2: restarting…done.

Services restarted successfully.
(Reading database … 35860 files and directories currently installed.)
`


#5

Holy crapper, that’s quite the log you’ve got there… I’m afraid I myself don’t have a clue about the Debian package system, but perhaps @erikrose can help you with this letsencrypt-auto “fiasco”?

Also, https://github.com/letsencrypt/letsencrypt is the source for the official client, yes, but the letsencrypt-auto script is meant for those distributions which doesn’t contain a distro-specific package… Most of the time those distro-specific packages work the best, but perhaps Squeezy doesn’t have one, because it’s quite ancient…


#6

apt-get removes packages when they conflict with something that you ask to be installed. If should be asking for confirmation – it it doesn’t then that’s a bug in letsencrypt-auto, IMHO.

It would be good to determine the cause of the conflict. Usually what I do is

  1. cancel any installation that tries to remove packages I don’t want removed
  2. repeat the apt-get install line, only this time append one of the packages that apt wanted to remove to it
  3. wait for apt to tell me why my request cannot be satisfied

#7

Firstly, I dislike the way the official client wildly installs stuff, etc.

Your system configuration seems to invite disasters like this though. Mixed repositories(wheezy, squeeze), external repo, not signed a key and hundreds of not upgraded packages.

I am surprised that your system is even booting and running normally after running letsencrypt.